# Recipes issues

## Some files are not added to the image

##### `do_install`
Be sure that the `do_install` task installs your files in `${D}` directory.

##### `FILES_${PN}`
Installing files in `${D}` is not enough, you also need to add the files/directories that needs to be included in the image in the `FILES_${PN}` variable.

##### Special files
Some files are not meant to be included in certain types of images.

For example, `.so` libraries without specific versions are forbidden in the final system, as programs needs to be dynamically linked with the exact version of library they depend of.

A workaraound for this is to define `SOLIBSDEV` to any extension, so `.so` files are not considered as dynamic libraries for this recipe.

